View Issue Details

IDProjectCategoryLast Update
0019148AI War 2[All Projects] Gameplay IssueJul 2, 2017 1:32 pm
ReporterBadgerBadgerAssigned ToCinth 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.301 The New HDR Visual Stack 
Fixed in Version0.501 Test And Revise Pass #1 
Summary0019148: Hard to see buildings under fleet
DescriptionIf you have a large fleetball near important buildings (Starship Constructor, planet controller, etc) it is almost impossible to see or click on those buildings. You need to move your fleetball away (which tends to drag the Controller as well, so you actually need to move the fleet, then find the controller then move the controller back).

Some UI improvements need to be done so you can interact with buildings near a fleetball. Here's a picture. If you stare at it long enough you can find the Starship Constructor, but it takes some time.

TagsNo tags attached.

Activities

BadgerBadger

May 31, 2017 10:25 am

reporter  

hard_to_spot_buildings.png (1,078,450 bytes)

BadgerBadger

May 31, 2017 10:26 am

reporter  

NewSave_10.save (1,831,000 bytes)

x4000Bughunter

Jun 19, 2017 8:28 pm

administrator   ~0046297

I'm pretty positive that this is because the bounding radii of so very many of the squad types are incorrectly small, as are turrets. For a number of the structures, we should also give some buffer room around them in their radius just to keep things clear around buildings, too.

This is purely a data thing -- Cinth, this one is for you, and please update the KDL_ prefixed xml files directly. Thanks!

Cinth

Jul 2, 2017 12:51 pm

manager   ~0046370

Increased the radius on all fleetships to 80 as a minimum. Increased the turret radii for small turrets to 50 and gravity generators to 120.

Part of the turret issue is in their formations, gravity gens need a more spaced out formation.

Issue History

Date Modified Username Field Change
May 31, 2017 10:25 am BadgerBadger New Issue
May 31, 2017 10:25 am BadgerBadger File Added: hard_to_spot_buildings.png
May 31, 2017 10:26 am BadgerBadger File Added: NewSave_10.save
Jun 19, 2017 8:27 pm x4000Bughunter Assigned To => Cinth
Jun 19, 2017 8:27 pm x4000Bughunter Status new => assigned
Jun 19, 2017 8:28 pm x4000Bughunter Note Added: 0046297
Jul 2, 2017 12:51 pm Cinth Note Added: 0046370
Jul 2, 2017 1:32 pm Cinth Status assigned => resolved
Jul 2, 2017 1:32 pm Cinth Resolution open => fixed
Jul 2, 2017 1:32 pm Cinth Fixed in Version => 0.501 Test And Revise Pass 0000001